# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 0.6
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		labyrinth
Version:	0.6
Release:	alt1_12
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop
Group:		Office
License:	GPLv2+
URL:		https://github.com/labyrinth-team/labyrinth
Source0:	https://github.com/labyrinth-team/labyrinth/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python-module-pygnome-gconf
Requires:	python-module-pygtk-libglade >= 2.8
Requires:	python-module-numpy python-module-numpy-testing
Requires:	python-module-pycairo
Requires:	python-module-pygobject
Requires:	python-module-pyxdg
Source44: import.info

## Taken from the website's "About" page, as well as Wikipedia's explanation
## of a mind-map.
%description
Labyrinth is a lightweight mind-mapping tool, intended to be as light and
intuitive as possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.

%prep
%setup -q

# Remove windows files
rm -rf Windows

# Correct non executable script rpmlint error
sed -i -e '1 d' %{name}_lib/MMapArea.py %{name}_lib/TextThought.py

%build
python setup.py build

#translations
%make -C po

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

#translations
%makeinstall_std -C po localedir=%{buildroot}/%{_datadir}/locale

# desktop file
desktop-file-install --vendor ""	\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application	\
		data/%{name}.desktop

# icons
install -Dpm644 data/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
for i in 16 22 24; do
	install -Dpm644 data/%{name}-$i.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README*
%{python_sitelibdir_noarch}/%{name}_lib/
%{python_sitelibdir_noarch}/Labyrinth-%{version}-py%{__python_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_12
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_11
- new version

